LibreOffice: PrintAuthor Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
PrintAuthor Service Referencepublished

specifies service of a text field that provides information about the author of the last print operation. More...

Inheritance diagram for PrintAuthor:

## Included Services
service | com::sun::star::text::TextField
Included Services inherited from TextField
service | com::sun::star::text::TextContent

## Public Attributes
string | Author
| contains the name of the author.
string | CurrentPresentation
| contains the current content of the text field.
boolean | IsFixed
| If this flag is set to false the author will be overridden by the current author each time the document is saved.
Public Attributes inherited from TextField
boolean | IsFieldUsed
| specifies if the text field is actually used in the document.
boolean | IsFieldDisplayed
| specifies if the text field is actually displayed.
string | Title
| Contains short title for the field, used to for tooltip purposes if it's non-empty.
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text.
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape.

## Additional Inherited Members
Public Types inherited from TextContent
typedef sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content.
Exported Interfaces inherited from TextField
interface | com::sun::star::text::XTextField
| This interface is used to access the textual representation of this field.
interface | com::sun::star::beans::XPropertySet
| makes it possible to access the properties of the field, if any.
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text.
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text.
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XTextField
string | getPresentation ([in] boolean bShowCommand)
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

specifies service of a text field that provides information about the author of the last print operation.

See also
  com::sun::star::text::TextField

## Exported Interfaces

## ◆ com::sun::star::text::TextField

service com::sun::star::text::TextField

## Member Data Documentation

## ◆ Author

string Author
| property

contains the name of the author.

## ◆ CurrentPresentation

string CurrentPresentation
| property

contains the current content of the text field.

This property is especially useful for import/export purposes.

## ◆ IsFixed

boolean IsFixed
| optionalproperty

If this flag is set to false the author will be overridden by the current author each time the document is saved.

The documentation for this service was generated from the following file:

- com/sun/star/text/textfield/docinfo/PrintAuthor.idl